/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.field.type;

import java.awt.Color;
import nl.cloudfarming.client.geoviewer.Palette;

/**
 * Pallete for treatment zones Needs a min and a max value
 *
 * @author Merijn Zengers
 */
public class TreatMentZonePallete extends Palette<Integer> {

    public TreatMentZonePallete(Double value) {
        super(Color.BLACK);
        //Create palettes according to the values of the treatmentzones
        // Whe create a basic 10 color range
        if (value != null) {
            if (value < 21) {
                setBaseColor(new Color(0, 0, 102));
            } else if (value < 42) {
                setBaseColor(new Color(102, 102, 204));
            } else if (value < 63) {
                setBaseColor(new Color(153, 153, 255));
            } else if (value < 84) {
                setBaseColor(new Color(65, 233, 29));
            } else if (value < 105) {
                setBaseColor(new Color(51, 204, 102));
            } else if (value < 126) {
                setBaseColor(new Color(233, 255, 129));
            } else if (value < 147) {
                setBaseColor(new Color(255, 255, 0));
            } else if (value < 168) {
                setBaseColor(new Color(252, 84, 5));
            } else if (value < 189) {
                setBaseColor(new Color(255, 0, 0));
            } else if (value <= 210) {
                setBaseColor(new Color(255, 0, 110));
            }
        }
    }
}
